Summary:	An enhanced version of csh, the C shell
Name:		tcsh
Version:	6.22.03
Release:	%mkrel 1
License:	BSD
Group:		Shells
URL:		http://www.tcsh.org/
Source:		ftp://ftp.astron.com/pub/%{name}/%{name}-%{version}.tar.gz

Source1:	alias.csh

# patches from fedora
Patch14:	tcsh-6.15.00-hist-sub.patch
# our patches
Patch106:	tcsh-6.10.00-glibc_compat.patch
# handle new DIR_COLORS codes, fixes #40532, #48284 (partly merged)
Patch107:	tcsh-6.17.00-ls-colors-var.patch
Patch110:       tcsh-6.20.00-manpage-memoryuse.patch

BuildRequires:	pkgconfig(tinfo)
BuildRequires:  groff-for-man
Requires(post):	rpm-helper >= 0.7
Requires(postun): rpm-helper >= 0.7
Provides:	csh = %{version}
Provides:	/bin/csh /usr/bin/csh

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell. Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.


%prep
%autosetup -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -DINBUFSIZE=4*BUFSIZE"
%configure --bindir=/bin --without-hesiod
%make_build
nroff -me eight-bit.me > eight-bit.txt

%install
install -D tcsh %{buildroot}/bin/tcsh
install -D tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -s tcsh.1 %{buildroot}%{_mandir}/man1/csh.1
ln -sf tcsh %{buildroot}/bin/csh

install -D %{SOURCE1} %{buildroot}/etc/profile.d/$(basename %{SOURCE1})

%post
%_add_shell_helper %{name} $1 /bin/csh
%_add_shell_helper %{name} $1 /bin/tcsh

%postun
%_del_shell_helper %{name} $1 /bin/csh
%_del_shell_helper %{name} $1 /bin/tcsh

%files
%doc NewThings FAQ Fixes eight-bit.txt complete.tcsh
%doc Ported README* WishList Y2K
%config(noreplace) %{_sysconfdir}/profile.d/*
%attr(755,root,root) /bin/tcsh
/bin/csh
%{_mandir}/*/*


%changelog
* Fri Nov 20 2020 daviddavid <daviddavid> 6.22.03-1.mga8
+ Revision: 1647828
- new version: 6.22.03

* Mon Jun 29 2020 joequant <joequant> 6.22.02-1.mga8
+ Revision: 1600367
- update to 6.22.02

* Mon Feb 17 2020 umeabot <umeabot> 6.21.00-4.mga8
+ Revision: 1537322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 30 2019 cjw <cjw> 6.21.00-3.mga8
+ Revision: 1456648
- double the size of the input buffer (from 8192 bytes)

* Sun Aug 25 2019 cjw <cjw> 6.21.00-2.mga8
+ Revision: 1432081
- patch1: fix glob pattern character range bug (mga#25341)

* Sat Jul 13 2019 daviddavid <daviddavid> 6.21.00-1.mga8
+ Revision: 1420840
- new version: 6.21.00
- remove merged upstream patches (P1, P34)

* Sun Sep 23 2018 umeabot <umeabot> 6.20.00-2.mga7
+ Revision: 1301348
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 cjw <cjw> 6.20.00-1.mga7
+ Revision: 1172072
- 6.20

* Sun Oct 15 2017 cjw <cjw> 6.19.00-6.mga7
+ Revision: 1172056
- drop defattr to fix doc dir execute permission

* Tue Dec 06 2016 luigiwalser <luigiwalser> 6.19.00-5.mga6
+ Revision: 1072828
- add upstream patch via fedora to fix out-of-bounds read when pressing tab key

* Fri Feb 12 2016 umeabot <umeabot> 6.19.00-4.mga6
+ Revision: 958986
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 6.19.00-3.mga6
+ Revision: 891702
- do not strip, to fix empty debuginfo

* Fri Aug 21 2015 cjw <cjw> 6.19.00-2.mga6
+ Revision: 867160
- patch109: prevent a gcc 5 optimization from making tcsh's calloc call itself

* Sun Jul 12 2015 cjw <cjw> 6.19.00-1.mga6
+ Revision: 853411
- 6.19.00
- drop patch12 and patch108, not needed anymore
- fix deprecation warnings on _BSD_SOURCE and _SVID_SOURCE (so build log can be checked for other warnings)

* Wed Oct 15 2014 umeabot <umeabot> 6.18.01-8.mga5
+ Revision: 747343
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 tmb <tmb> 6.18.01-7.mga5
+ Revision: 693115
- temporarily provide /bin/csh to unbreak BS
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 6.18.01-5.mga4
+ Revision: 539985
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 6.18.01-4.mga4
+ Revision: 493111
- Rebuild against ncurse's libtinfo rather than libtermcap

* Thu Aug 22 2013 luigiwalser <luigiwalser> 6.18.01-3.mga4
+ Revision: 469221
- add patch from mancha to fix null pointer deref with glibc 2.17

* Mon Jan 14 2013 umeabot <umeabot> 6.18.01-2.mga3
+ Revision: 384192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 18 2012 kamil <kamil> 6.18.01-1.mga2
+ Revision: 210182
- new version 6.18.01

* Mon Jan 23 2012 kamil <kamil> 6.18.00-1.mga2
+ Revision: 199962
- use %%_add_shell_helper and %%_del_shell_helper macros
- rediff
  o glibc_compat.patch
  o tinfo.patch
  o hist-sub.patch
  o ls-colors-var.patch (partly merged)
- temporarely disable unprintable.patch (it needs more investigation)
- drop terminos.patch and str-fmt.patch
- new version 6.18.00

* Sun Jan 09 2011 blino <blino> 6.17-2.mga1
+ Revision: 3339
- imported package tcsh


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 6.17-2mdv2011.0
+ Revision: 607985
- rebuild

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 6.17-1mdv2010.1
+ Revision: 512885
- clean spec
- new upstream release 6.17.00
- switch source url to a more up-to-date ftp
- rediff patch107, patch108

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix warning

* Sat Jan 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 6.16-1mdv2010.1
+ Revision: 492188
- remove patch 15
- upgrade to 6.16

* Sat Nov 14 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 6.15-7mdv2010.1
+ Revision: 465967
- update patch107 to add more colors (mdv #53139)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 6.15-6mdv2010.0
+ Revision: 427288
- rebuild

* Sat Apr 11 2009 Gustavo De Nardin <gustavodn@mandriva.com> 6.15-5mdv2009.1
+ Revision: 365947
- P101, termios: rediffed for version tcsh-6.15, fuzz=0 fever
- P12: rediffed for version tcsh-6.15, fuzz=0 fever
- P107: handle new DIR_COLORS codes 'ca' and 'hl', fixing #40532, #48284
- P108: -Wformat -Werror=format-security pseudo fixes

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Sep 15 2008 Pixel <pixel@mandriva.com> 6.15-3mdv2009.0
+ Revision: 284950
- handle dircolors's rs=xxx (#40532)

* Wed Jul 09 2008 Pixel <pixel@mandriva.com> 6.15-2mdv2009.0
+ Revision: 232986
- explictly provide /bin/csh

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 6.15-1mdv2009.0
+ Revision: 200575
- add more patches from fedora
- drop authuid patch, it is not needed any more
- New version 6.15
- drop unneeded patch

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 6.14-5mdv2008.1
+ Revision: 179641
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Pixel <pixel@mandriva.com> 6.14-4mdv2008.0
+ Revision: 57653
- sync patches with fedora's (including a fix for "Unknown colorls variable `su'" #32013)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.14-3mdv2007.0
+ Revision: 119976
- Import tcsh

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.14-2mdk
- Rebuild

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 6.14-1mdk
- new release
- drop patch0 (utmp) and patch7 (dspmbyte)
- take patch3, patch4, patch5 from fedora
- fix & enhance prereq
- build eight-bit.txt in build stage (cleaner that way)

* Tue Nov 09 2004 Pixel <pixel@mandrakesoft.com> 6.13-2mdk
- add dspmbyte patch from redhat (bugzilla #10116)

* Fri Jun 18 2004 Pixel <pixel@mandrakesoft.com> 6.13-1mdk
- drop patch 7 (which was replacing "eq" with "strncasecmp" whereas there is now "t_pmatch"
  doing shell like globbing, and is useful for STRSTARKUTF8)
- drop patch 5 (done by default)
- update patch 0
- new release

